#! /bin/sh
username=`whoami`
data_root=/home/$username/joshua-lab/data

f_foreign=$data_root/training/europarl_es_en.es
f_english=$data_root/training/europarl_es_en.en
f_align=$data_root/training/europarl_es_en.align
f_test=$data_root/dev/dev2006.es.small.gz
tag=summer09

mkdir -p $data_root/sa_bin

cd /home/zli/work/hiero/copy_2008/sa_copy/sa-hiero_adapted/sa-utils

/home/zli/work/hiero/copy_2008/sa_copy/sa-hiero_adapted/sa-utils/compile_files.pl $f_foreign $f_english $f_align $data_root/emptyfile /home/zli/work/hiero/copy_2008/sa_copy/sa-hiero_adapted/sa-utils/decoder.extract.ini $data_root/sa_bin > $data_root/sa_bin/out.ini

zcat $f_test | ../hiero/decoder.py -c $data_root/sa_bin/out.ini -x $data_root/sa_bin/$tag.grammar
